Saltar al contenido principal
POST
/
2
/
dm_conversations
Crear una conversación de mensajes directos
curl --request POST \
  --url https://api.x.com/2/dm_conversations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "message": {
    "text": "<string>",
    "attachments": [
      {
        "media_id": "1146654567674912769"
      }
    ]
  },
  "participant_ids": [
    "2244994945"
  ]
}
'
{
  "data": {
    "dm_conversation_id": "123123123-456456456",
    "dm_event_id": "1146654567674912769"
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
conversation_type
enum<string>
requerido

El tipo de conversación que se está creando.

Opciones disponibles:
Group
message
object
requerido
participant_ids
string[]
requerido

Participantes en la conversación de DM.

Required array length: 2 - 49 elements

Identificador único de este usuario. Se devuelve como una cadena para evitar complicaciones con lenguajes de programación y herramientas que no pueden manejar números enteros grandes.

Pattern: ^[0-9]{1,19}$

Respuesta

La solicitud se completó correctamente.

data
object
errors
object[]
Minimum array length: 1

Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).